import { FormObject } from "@/utils/validation-schema";

export const formFields: FormObject[] = [
  {
    name: "full_name",
    label: "Full Name",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "contact_information",
    label: "Conatct Info",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "address",
    label: "Address",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "meter_no",
    label: "Meter No",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "additional_meter",
    label: "Additional Meter Requirement Area",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "premises_in_use",
    label: "Premises in use",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "meter_exist_on_site",
    label: "Meter Exist on site",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "premises_type",
    label: "Premises Type",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "premises_type_details",
    label: "Premisis Type (Other)",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "property_type",
    label: "Property Type",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "meters_installed",
    label: "Meters Installed",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "additional_meter_req",
    label: "Additional Meter Req",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "additional_meter_applied",
    label: "Additional Meter Applied",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "gis_tagging",
    label: "GIS Tagging",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "contract_no_or_consumer_no",
    label: "Contract No / Consumer No",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "other_meter_number",
    label: "Other Meter Number",
    type: "text",
    defaultValue: "",
    required: false,
  },
  {
    name: "billing_dispute",
    label: "Billing Dispute (if any)",
    type: "textarea",
    defaultValue: "",
    required: false,
  },
  {
    name: "theft_detail",
    label: "Theft Detail (if any)",
    type: "textarea",
    defaultValue: "",
    required: false,
  },
];
